## org.python.core
Class JavaImporter

    java.lang.Object
      org.python.core.PyObject
          org.python.core.JavaImporter

All Implemented Interfaces:
  Serializable

    public class JavaImporter

extends PyObject

Load Java classes.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static String` `JAVA_IMPORT_PATH_ENTRY`

Fields inherited from class org.python.core.PyObject
`TYPE`

Constructor Summary
`JavaImporter()`

Method Summary
`PyObject` `__call__(PyObject[] args, String[] keywords)` The basic method to override when implementing a callable object.
`PyObject` `find_module(String name)` Find the module for the fully qualified name.
`PyObject` `find_module(String name, PyObject path)` Find the module for the fully qualified name.
`PyObject` `load_module(String name)`
`String` `toString()` Returns a string representation of the object.

Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JAVA_IMPORT_PATH_ENTRY

    public static final String JAVA_IMPORT_PATH_ENTRY

See Also:
  Constant Field Values

Constructor Detail

### JavaImporter

    public JavaImporter()

Method Detail

### __call__

    public PyObject __call__(PyObject[] args,
                             String[] keywords)

  Description copied from class: `PyObject`
  The basic method to override when implementing a callable object. The first len(args)-len(keywords) members of args[] are plain arguments. The last len(keywords) arguments are the values of the keyword arguments.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `args` - all arguments to the function (including keyword arguments).
    `keywords` - the keywords used for all keyword arguments.

### find_module

    public PyObject find_module(String name)

  Find the module for the fully qualified name.

  Parameters:
    `name` - the fully qualified name of the module
  Returns:
    a loader instance if this importer can load the module, None otherwise

### find_module

    public PyObject find_module(String name,
                                PyObject path)

  Find the module for the fully qualified name.

  Parameters:
    `name` - the fully qualified name of the module
    `path` - if installed on the meta-path None or a module path
  Returns:
    a loader instance if this importer can load the module, None otherwise

### load_module

    public PyObject load_module(String name)

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `PyObject`
  Returns:
    a string representation of the object.

Jython homepage